com.marklogic.xcc.types

## Class NodeType

- java.lang.Object
- - com.marklogic.xcc.types.ValueType
  - - com.marklogic.xcc.types.ItemType
    - - com.marklogic.xcc.types.NodeType

-     public final class NodeType
      extends ItemType

  Base type for enumerators that represent node types.

- - ### Field Summary

    - ### Fields inherited from class com.marklogic.xcc.types.ValueType

      `ARRAY_NODE, ATTRIBUTE, BINARY, BOOLEAN_NODE, COMMENT, CTS_BOX, CTS_CIRCLE, CTS_POINT, CTS_POLYGON, DOCUMENT, ELEMENT, JS_ARRAY, JS_NULL, JS_OBJECT, NODE, NULL_NODE, NUMBER_NODE, OBJECT_NODE, PROCESSING_INSTRUCTION, SEQUENCE, TEXT, XS_ANY_URI, XS_BASE64_BINARY, XS_BOOLEAN, XS_DATE, XS_DATE_TIME, XS_DAY_TIME_DURATION, XS_DECIMAL, XS_DOUBLE, XS_DURATION, XS_FLOAT, XS_GDAY, XS_GMONTH, XS_GMONTH_DAY, XS_GYEAR, XS_GYEAR_MONTH, XS_HEX_BINARY, XS_INTEGER, XS_QNAME, XS_STRING, XS_TIME, XS_UNTYPED_ATOMIC, XS_YEAR_MONTH_DURATION`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAtomic()` Always false.
    `boolean` | `isNode()` Always true.

    - ### Methods inherited from class com.marklogic.xcc.types.ItemType

      `forType, isSequence`

    - ### Methods inherited from class com.marklogic.xcc.types.ValueType

      `toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### isNode

          public boolean isNode()

      Always true.
      Specified by:
        `isNode` in class `ItemType`
      Returns:
        Always true for node types.

    - #### isAtomic

          public boolean isAtomic()

      Always false.
      Specified by:
        `isAtomic` in class `ItemType`
      Returns:
        Always false for node types.

Copyright © 2025 MarkLogic Corporation

Complete online documentation for MarkLogic Server, XQuery and related components may be found at docs.progress.com